import { request } from '@/service/request';

/**
 * 售后订单
 * @param data
 * @returns
 */
export function fetchGetAfterSalesOrderList(data: any) {
  return request<Api.Common.PaginatingQueryRecord<Api.delivery.deliveryOrder>>({
    url: '/smqjh-oms/api/v1/orderRefund/findBackgroundPage',
    method: 'get',
    params: data
  });
}

/**
 * 获取售后订单详情
 * @param orderNumber
 * @returns
 */
export function fetchGetAfterSalesOrderDetail(refundNumber: string) {
  return request<Api.delivery.deliveryOrder>({
    url: `/smqjh-oms/api/v1/orderRefund/backendOrderRefundInfo`,
    method: 'get',
    params: { refundNumber }
  });
}
